Package com.mapd.thrift.calciteserver

## Class TUserDefinedFunction

- java.lang.Object
- - com.mapd.thrift.calciteserver.TUserDefinedFunction

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TUserDefinedFunction>`, `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`, `org.apache.thrift.TSerializable`

    public class TUserDefinedFunction
    extends Object
    implements org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>, Serializable, Cloneable, Comparable<TUserDefinedFunction>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TUserDefinedFunction._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TExtArgumentType>` `argTypes`
`static Map<TUserDefinedFunction._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`
`TExtArgumentType` `retType`

### Constructor Summary

Constructors
`TUserDefinedFunction()`
`TUserDefinedFunction​(TUserDefinedFunction other)` Performs a deep copy on other.
`TUserDefinedFunction​(String name, List<TExtArgumentType> argTypes, TExtArgumentType retType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToArgTypes​(TExtArgumentType elem)`
`void` `clear()`
`int` `compareTo​(TUserDefinedFunction other)`
`TUserDefinedFunction` `deepCopy()`
`boolean` `equals​(TUserDefinedFunction that)`
`boolean` `equals​(Object that)`
`TUserDefinedFunction._Fields` `fieldForId​(int fieldId)`
`List<TExtArgumentType>` `getArgTypes()`
`Iterator<TExtArgumentType>` `getArgTypesIterator()`
`int` `getArgTypesSize()`
`Object` `getFieldValue​(TUserDefinedFunction._Fields field)`
`String` `getName()`
`TExtArgumentType` `getRetType()`
`int` `hashCode()`
`boolean` `isSet​(TUserDefinedFunction._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArgTypes()` Returns true if field argTypes is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetRetType()` Returns true if field retType is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TUserDefinedFunction` `setArgTypes​(List<TExtArgumentType> argTypes)`
`void` `setArgTypesIsSet​(boolean value)`
`void` `setFieldValue​(TUserDefinedFunction._Fields field, Object value)`
`TUserDefinedFunction` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`TUserDefinedFunction` `setRetType​(TExtArgumentType retType)`
`void` `setRetTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArgTypes()`
`void` `unsetName()`
`void` `unsetRetType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### argTypes

    public List<TExtArgumentType> argTypes

#### retType

    public TExtArgumentType retType

See Also:
  `TExtArgumentType`

#### metaDataMap

    public static final Map<TUserDefinedFunction._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TUserDefinedFunction

    public TUserDefinedFunction()

#### TUserDefinedFunction

    public TUserDefinedFunction​(String name,
                                List<TExtArgumentType> argTypes,
                                TExtArgumentType retType)

#### TUserDefinedFunction

    public TUserDefinedFunction​(TUserDefinedFunction other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TUserDefinedFunction deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`

#### getName

    public String getName()

#### setName

    public TUserDefinedFunction setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### getArgTypesSize

    public int getArgTypesSize()

#### getArgTypesIterator

    public Iterator<TExtArgumentType> getArgTypesIterator()

#### addToArgTypes

    public void addToArgTypes​(TExtArgumentType elem)

#### getArgTypes

    public List<TExtArgumentType> getArgTypes()

#### setArgTypes

    public TUserDefinedFunction setArgTypes​(List<TExtArgumentType> argTypes)

#### unsetArgTypes

    public void unsetArgTypes()

#### isSetArgTypes

    public boolean isSetArgTypes()

Returns true if field argTypes is set (has been assigned a value) and false otherwise

#### setArgTypesIsSet

    public void setArgTypesIsSet​(boolean value)

#### getRetType

    public TExtArgumentType getRetType()

See Also:
  `TExtArgumentType`

#### setRetType

    public TUserDefinedFunction setRetType​(TExtArgumentType retType)

See Also:
  `TExtArgumentType`

#### unsetRetType

    public void unsetRetType()

#### isSetRetType

    public boolean isSetRetType()

Returns true if field retType is set (has been assigned a value) and false otherwise

#### setRetTypeIsSet

    public void setRetTypeIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TUserDefinedFunction._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`

#### getFieldValue

    public Object getFieldValue​(TUserDefinedFunction._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`

#### isSet

    public boolean isSet​(TUserDefinedFunction._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TUserDefinedFunction that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TUserDefinedFunction other)

Specified by:
  `compareTo` in interface `Comparable<TUserDefinedFunction>`

#### fieldForId

    public TUserDefinedFunction._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TUserDefinedFunction,​TUserDefinedFunction._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`